*******************************************************************************
*   Title: master.do
* Purpose: Master do file for stimulus paper replication file.
*   Owner: Eric Zwick
*    Date: 2016-08-01
*******************************************************************************

* To initialize, define these environment variables:
* Environment variables.
global root "/path/to/root"
global raw "$root/raw"
global analysis "$root/dta"
global localcodedir "$root"
global librarydir "/path/to/lib"

* Local directory.
global dodir "$localcodedir"
global outputdir "$localcodedir/out"
global stimdo $dodir

/* Local system configuration.
do $librarydir/system-config-sts.do
do $librarydir/programs.do
*/

display "$S_TIME  $S_DATE"

* Programs for internal environment.
do $dodir/programs.do

*******************************************************************************
* Dataset generation for internal environment.
*******************************************************************************
do $dodir/make-stimulus.do
main

*******************************************************************************
* Production code for internal environment.
*******************************************************************************
do $dodir/draft-stimulus.do
main

*******************************************************************************
* Production code for external environment 
*   (House Shapiro + Compustat replication)
*******************************************************************************
do $dodir/external-replication.do
main

